;InnoSetupVersion=5.3.6

[Setup]
AppName=Easy Calendar
AppVerName=Easy Calendar 3.6
AppId=Easy Calendar
DefaultDirName={pf}\Easy Calendar 3.4
DefaultGroupName=Easy Calendar 3.6
OutputBaseFilename=in
Compression=lzma
AllowNoIcons=yes
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\calendar.exe"; DestDir: "{app}"; MinVersion: 4.1,4.0; 
Source: "{app}\readme.txt"; DestDir: "{app}"; MinVersion: 4.1,4.0; 
Source: "{app}\warning.mid"; DestDir: "{app}"; MinVersion: 4.1,4.0; 
Source: "{app}\app"; DestDir: "{app}"; MinVersion: 4.1,4.0; 
Source: "{app}\calendar.chm"; DestDir: "{app}"; MinVersion: 4.1,4.0; 
Source: "{commonappdata}\Hammer Software Unlimited\test.mp3"; DestDir: "{commonappdata}\Hammer Software Unlimited"; MinVersion: 4.1,4.0; 

[Registry]
Root: HKCR; Subkey: ".ec2"; ValueType: String; ValueData: "ecal2file"; MinVersion: 4.1,4.0; Flags: uninsdeletekey deletevalue 
Root: HKCR; Subkey: "ecal2file"; ValueType: String; ValueData: "Easy Calendar Data"; MinVersion: 4.1,4.0; Flags: uninsdeletekey deletevalue 
Root: HKCR; Subkey: "ecal2file\DefaultIcon"; ValueType: String; ValueData: "{app}\calendar.exe,0"; MinVersion: 4.1,4.0; Flags: deletevalue 
Root: HKCR; Subkey: "ecal2file\shell"; ValueType: String; ValueData: "edit"; MinVersion: 4.1,4.0; Flags: deletevalue 
Root: HKCR; Subkey: "ecal2file\shell\edit\command"; ValueType: String; ValueData: """{app}\calendar.exe"" ""%1"" "; MinVersion: 4.1,4.0; Flags: deletevalue 
Root: HKCR; Subkey: "ecal2file\shell\open\command"; ValueType: String; ValueData: """{app}\calendar.exe"" ""%1"" ReadOnly"; MinVersion: 4.1,4.0; Flags: deletevalue 

[Run]
Filename: "{app}\calendar.exe"; Description: "Launch Easy Calendat"; MinVersion: 4.1,4.0; Flags: postinstall skipifsilent nowait
Filename: "{app}\readme.txt"; Tasks: readme; MinVersion: 4.1,4.0; Flags: shellexec nowait

[Icons]
Name: "{group}\Easy Calendar"; Filename: "{app}\Calendar.exe"; WorkingDir: "{app}"; MinVersion: 4.1,4.0; 
Name: "{group}\Easy Calendar Help"; Filename: "{app}\calendar.chm"; WorkingDir: "{app}"; MinVersion: 4.1,4.0; 
Name: "{group}\Easy Calender Read Me"; Filename: "{app}\readme.txt"; WorkingDir: "{app}"; MinVersion: 4.1,4.0; 
Name: "{commondesktop}\Easy Calendar"; Filename: "{app}\calendar.exe"; WorkingDir: "{app}"; IconFilename: "{app}\calendar.exe"; Tasks: desktop; MinVersion: 4.1,4.0; 

[Tasks]
Name: "readme"; Description: "View Easy Calendar readme file"; MinVersion: 4.1,4.0; 
Name: "desktop"; Description: "Create Easy Calendar desktop icon"; MinVersion: 4.1,4.0; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
